.desktop-only {
  top: 3rem;
}

.wrap_map {
  height: 100vh !important;
}

#first-box {
  position: relative;
}

.search-container {
  position: absolute;
  bottom: 1.5rem;
  left: 0.5rem;
  border-radius: 10px;
  background-color: #f4f7fb;
  box-shadow: 2px 1px 4px 0 #dfe3ed;
  z-index: 1;
  width: 30%;
  height: 50%;
  display: flex;
  flex-direction: column;
  overflow: auto;
  visibility: hidden;
}

.search-bar-container {
  margin: 0.8rem;
  width: max-content;
  min-width: calc(100% - 1.6rem);
}

.search-bar {
  display: flex;
  justify-content: start;
  align-items: center;
  padding: 0.5rem 0.8rem;
  min-width: max-content;
  width: fit-content;
}

.custom-text-input {
  border-radius: 50px;
  background: #fff;
  box-shadow: 2px 2px 4px 0 #ecf0f9;
}

.custom-text-input input:focus {
  border: none;
  outline: none;
}

.custom-text-input:focus-within {
  background-color: #fff;
  box-shadow: none;
  border: solid 2px #00a3ff;
}

.table-container {
  height: 100%;
  overflow: auto;
}

table {
  width: max-content;
  min-width: calc(100% - 1.6rem);
  margin: 0 0.8rem;
  border-collapse: separate;
  border-spacing: 0 0.4rem;
}

table tr {
  text-align: left;
}

table tr {
  display: flex;
  justify-content: space-between;
  border-radius: 10px;
  min-width: max-content;
}

thead tr {
  background: #091a4c;
  color: white;
  font-size: 1.1rem;
  font-weight: 500;
  padding: 0.5rem 1.5rem;
}

tbody tr {
  margin-bottom: 0.3rem;
  background: white;
  color: #212121;
  font-size: 1.1rem;
  font-weight: 500;
  padding: 1rem 1.5rem;
}

th:nth-child(1),
td:nth-child(1) {
  width: 10%;
}

th:nth-child(2),
td:nth-child(2) {
  width: 30%;
}

th:nth-child(3),
td:nth-child(3) {
  width: 42%;
}

th:nth-child(4),
td:nth-child(4) {
  width: 18%;
}

#map-container {
  position: relative;
  width: 100vw;
  height: 100vh;
}

@media (max-width: 768px) {
  .search-container {
    width: 100%;
    height: 30%;
  }
}
